{% extends "base.html" %}
{% load formatting %}
{% load i18n %}

{% block title %}{{ group.name }}{% endblock title %}

{% block content %}
<div class="container">
    <div class="row card-row">
        <div class="col-12 mx-auto my-auto">
            <div class="card">
                <div class="card-header text-center">
                    <h1>{{ group.name }}</h1>
                </div>
                <div class="card-body">
                    <div class="container">
                        <div class="row">
                            <div class="col-md-4 col-lg-3 px-0 pr-md-2 pb-3">
                                {% if perms.accounts.view_groups %}
                                {% if not request.GET.personal %}
                                <a class="btn btn-dark btn-detail" href="{% url 'accounts:groups_list' %}">
                                    <i class="fas fa-arrow-left fa-fw mr-1"></i>
                                    {% trans "Back to Groups" %}
                                </a>
                                {% endif %}
                                {% endif %}
                                {% if perms.accounts.manage_groups %}
                                <a class="btn btn-warning btn-detail"
                                    href="{% url 'accounts:groups_edit' pk=group.pk %}?next={{ request.get_full_path }}">
                                    <i class="fas fa-pen fa-fw mr-1"></i>
                                    {% trans "Edit Group" %}
                                </a>
                                <a class="btn btn-danger btn-detail"
                                    href="{% url 'accounts:groups_delete' pk=group.pk %}?next=/accounts/groups/&cancel={{ request.get_full_path }}">
                                    <i class="fas fa-trash fa-fw mr-1"></i>
                                    {% trans "Delete Group" %}
                                </a>
                                {% endif %}
                            </div>
                            <div class="col-md-8 col-lg-9 px-0 pl-md-2">
                                <div class="table-mobile">
                                    <table class="table table-striped table-detail" id="mobileTable">
                                        <tbody>
                                            <tr>
                                                <th scope="row">{% trans "Group ID" %}</th>
                                                <td>{{ group.pk }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Name" %}</th>
                                                <td>{{ group.name }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Members" %}</th>
                                                <td>
                                                    {% for member in group.members.all %}
                                                    {% if perms.accounts.view_accounts %}
                                                    <a href="{% url 'accounts:detail' pk=member.pk %}">{{ member.full_name }}</a><br>
                                                    {% else %}
                                                    {{ member.full_name }}<br>
                                                    {% endif %}
                                                    {% endfor %}
                                                </td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Created on" %}</th>
                                                <td>{{ group.created_on }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Updated on" %}</th>
                                                <td>{{ group.updated_on }}</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock content %}